% arara: pdflatex: { synctex: yes }
% arara: makeindex: { style: ctuthesis }
% arara: bibtex

% The class takes all the key=value arguments that \ctusetup does,
% and a couple more: draft and oneside
\documentclass[twoside]{ctuthesis}
\usepackage{graphicx}
\graphicspath{{ctuthesis/}, {img/}}

\usepackage[acronym]{glossaries}
\usepackage{float}
\usepackage{nicefrac}
\usepackage[linesnumbered,ruled]{algorithm2e}

\ctusetup{
%	preprint = \ctuverlog,
	mainlanguage = english,
	titlelanguage = english,
	otherlanguages = {czech},
	title-czech = {Distribuovaný senzor polohy založený na matici světelných senzorů},
	title-english = {Distributed Position Sensor Based on a Matrix of Lights Detectors},
	subtitle-czech = {},
	subtitle-english = {},
	doctype = M,
	faculty = F3,
	department-czech = {Katedra kybernetiky},
	department-english = {Department of Cybernetics},
	author = {Bc. Jan Trejbal},
	supervisor = {Ing. Jiří Zemánek, Ph.D.},
	supervisor-address = {Katedra řídicí techniky - K13135, \\ Karlovo náměstí 13, \\ 121 35 Praha 2},
%	supervisor-specialist = {John Doe},
	fieldofstudy-english = {Cybernetics and Robotics},
	subfieldofstudy-english = {Robotics},
	fieldofstudy-czech = {Kybernetika a robotika},
	subfieldofstudy-czech = {Robotika},
	keywords-czech = {detektor pozice, vlnová délka 940nm, nezávislé systémy, dělený senzor, vestavěný systém},
	keywords-english = {position detection, wavelength of 940nm, distributed system, distributed sensor, embedded system},
	day = 24,
	month = 5,
	year = 2019,
	specification-file = {thesis-assignment.pdf},
	front-specification = true,
%	front-list-of-figures = false,
%	front-list-of-tables = false,
%	monochrome = true,%	layout-short = true,
}

\ctuprocess

\addto\ctucaptionsczech{%
	\def\supervisorname{Ing. Jiří Zemánek, Ph.D.}%
	\def\subfieldofstudyname{Studijní program}%
}

\ctutemplateset{maketitle twocolumn default}{
	\begin{twocolumnfrontmatterpage}
		\ctutemplate{twocolumn.thanks}
		\ctutemplate{twocolumn.declaration}
		\ctutemplate{twocolumn.abstract.in.titlelanguage}
		\ctutemplate{twocolumn.abstract.in.secondlanguage}
		\ctutemplate{twocolumn.tableofcontents}
		\ctutemplate{twocolumn.listoffigures}
	\end{twocolumnfrontmatterpage}
}

% Theorem declarations, this is the reasonable default, anybody can do what they wish.
% If you prefer theorems in italics rather than slanted, use \theoremstyle{plainit}
\theoremstyle{plain}
\newtheorem{theorem}{Theorem}[chapter]
\newtheorem{corollary}[theorem]{Corollary}
\newtheorem{lemma}[theorem]{Lemma}
\newtheorem{proposition}[theorem]{Proposition}

\theoremstyle{definition}
\newtheorem{definition}[theorem]{Definition}
\newtheorem{example}[theorem]{Example}
\newtheorem{conjecture}[theorem]{Conjecture}

\theoremstyle{note}
\newtheorem*{remark*}{Remark}
\newtheorem{remark}[theorem]{Remark}

\newcommand{\sigline}[1]{\makebox[\widthof{#1~}]{.\dotfill}\\#1}

\setlength{\parskip}{5ex plus 0.2ex minus 0.2ex}

\input{thesis-abstract}

% Acknowledgments / Podekovani
\begin{thanks}
	I want to thank my family, especially my father, for support during studies.

	Also, I want to thank my supervisor.
\end{thanks}

% Declaration / Prohlaseni
\begin{declaration}
	I declare that the presented work was developed independently and that I have listed all sources of information used within it in accordance with the methodical instructions for observing the ethical principles in the preparation of university theses.

%	Prohlašuji, že jsem předloženou práci vypracoval samostatně a že jsem uvedl veškeré použité informační zdroje v souladu s Metodickým pokynem o~dodržování etických principů při přípravě vysokoškolských závěrečných prací.

	Prague, \ctufield{day}.~\monthinlanguage{title}~\ctufield{year} 
	
	\noindent\begin{tabular}{lc}
		\makebox[1.5in]{} & \makebox[1.0in]{\dotfill}\\
		 & Signature\\
	\end{tabular}
\end{declaration}

% Only for testing purposes
\listfiles
\usepackage[pagewise]{lineno}
\usepackage{lipsum,blindtext}
\usepackage{mathrsfs} % provides \mathscr used in the ridiculous examples

\usepackage[figuresleft]{rotating}

\begin{document}

\hfuzz=\maxdimen\newdimen\hfuzz\maketitle

\input{thesis-content}

\appendix

\printindex

\bibliographystyle{ieeetr}
\bibliography{thesis}

\appendix
\chapter{Schematics}
We designed these electronic circuits, which you can see in Figures \ref{fig:rj45Schematics} and \ref{fig:lightBedSchematics}.

\begin{sidewaysfigure}
	\includegraphics[width=1.\textwidth]{schematics.png}
	\caption{The \nicefrac{1}{4} LightBed board schematics}
	\label{fig:lightBedSchematics}
\end{sidewaysfigure}

\begin{figure}
	\includegraphics[width=1.\textwidth]{RJ45schematics.png}
	\caption{The Ethernet board schematics for the LAN8720A}
	\label{fig:rj45Schematics}
\end{figure}

\appendix
\chapter{Printed Circuit Board}
We designed these printed circuit boards, which you can see in Figures \ref{fig:lightBedL1}, \ref{fig:lightBedL2}, \ref{fig:lightBedL3}, \ref{fig:lightBedL4}, and \ref{fig:rj45board}.

\begin{figure}[!t]
	\includegraphics[width=1.2\textwidth]{boardL1.png}
	\caption{The top PCB layer of the LightBed board}
	\label{fig:lightBedL1}
\end{figure}

\begin{figure}[!t]
	\includegraphics[width=1.2\textwidth]{boardL2.png}
	\caption{The second PCB layer of the LightBed board}
	\label{fig:lightBedL2}
\end{figure}

\begin{figure}[!t]
	\includegraphics[width=1.2\textwidth]{boardL3.png}
	\caption{The third PCB layer of the LightBed board}
	\label{fig:lightBedL3}
\end{figure}

\begin{figure}[!t]
	\includegraphics[width=1.2\textwidth]{boardL4.png}
	\caption{The bottom PCB layer of the LightBed board}
	\label{fig:lightBedL4}
\end{figure}

\begin{figure}[!t]
	\includegraphics[width=1.2\textwidth]{RJ45board.png}
	\caption{The PCB of the Ethernet board}
	\label{fig:rj45board}
\end{figure}

\appendix
\chapter{Content of attached CD}

\begin{itemize}
	\item board-and-schema/light-bed; \textit{source files of the LightBed}
	\item board-and-schema/rj45; \textit{source files of the Ethernet board}
	\item docs; \textit{used documentations}
	\item pic32-firmware; \textit{C firmware of the PIC32MZ}
	\item simulator; \textit{Python simulator}
	\item viewer \textit{Golang LightBed viewer}.
\end{itemize}

\end{document}